Skip to content

List Exchange Rates

Request

Retrieves a list of exchange rates with optional currency and date filters. When filtering by both from_currency and to_currency, results are returned in the requested direction regardless of how they are stored internally.

Security
oAuth2ClientCredentials
Query
cursorstring or null(Cursor)
Any of:

Pagination cursor. Mutually exclusive with other query parameters

string
from_currencyCurrencyCode (string) or null(From Currency)
Any of:

Filter by source currency code (ISO 4217).

string(CurrencyCode)
Enum:"AED""AFN""ALL""AMD""ANG""AOA""ARS""AUD""AWG""AZN"
from_currency:instring or null(From Currency:In)
Any of:

Source currency codes to match (ISO 4217). Comma-separated list. Matches either side of the currency pair.

string
to_currencyCurrencyCode (string) or null(To Currency)
Any of:

Filter by target currency code (ISO 4217).

string(CurrencyCode)
Enum:"AED""AFN""ALL""AMD""ANG""AOA""ARS""AUD""AWG""AZN"
to_currency:instring or null(To Currency:In)
Any of:

Target currency codes to match (ISO 4217). Comma-separated list. Matches either side of the currency pair.

string
exchange_rate_date:gtestring or null(Exchange Rate Date:Gte)
Any of:

Filter exchange rates on or after this date.

string (date)
exchange_rate_date:ltestring or null(Exchange Rate Date:Lte)
Any of:

Filter exchange rates on or before this date.

string (date)
GET
/v1/accounting/exchange-rate
import requests

url = "https://api.qargo.com/v1/accounting/exchange-rate"

headers = {"Authorization": "Bearer <YOUR_TOKEN_HERE>"}

response = requests.get(url, headers=headers)

data = response.json()
print(data)

Responses

Successful Response

Bodyapplication/json
next_cursorstring or null(Next Cursor)
Any of:
string
itemsArray of objects(Items)required
Response
{ "next_cursor": "string", "items": [ {} ] }